/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-12 15:31:10.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.base.converter.model.platform;

import java.io.Serializable;

/**
 * 模块信息
 */
public class BlockVo implements Serializable {
    private static final long serialVersionUID = 2180336388838138300L;
    private String type;//模块类型
    private String value;//模块内容
    private Integer playTime;//播放次数
    private ParamVo param;//附属参数

    public String getType() {
        return type != null ? type : "";
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value != null ? value : "";
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getPlayTime() {
        return playTime;
    }

    public void setPlayTime(Integer playTime) {
        this.playTime = playTime;
    }

    public ParamVo getParam() {
        return param;
    }

    public void setParam(ParamVo param) {
        this.param = param;
    }

}